This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 208807 - Konquerer crypto openssl preferences do not take affect immediately.
Konquerer crypto openssl preferences do not take affect immediately.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdebase (Show other bugs)
3.8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-02 00:41 EDT by Wade Mealing
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:40:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2006-10-02 00:41:41 EDT
Description of problem:

In konquerer preferences, one can set the path to the openssl library, and the
test/apply button do not make this changes take effect.


Version-Release number of selected component (if applicable):

kdebase-3.1.3-6.10

How reproducible:

Every time

Steps to Reproduce:
1 Install RHEL3 U8 with kde and konquerer on a x86_64 system.
2 Start konquerer, Open the preferences
3 To to openssl tab, enter /lib64
4 Click test

Actual results:

Test fails.

Expected results:

Test passes.

Additional info:

This was discovered during RH BZ: 207881,  Although setting the default path
will stop users encountering ths bug 99% of the time.

There is a work around, but its nasty and not user friendly.  This bug does not
appear in RHEL4 GA or above.

Start Konquerer

Visit https://www.redhat.com/ , ( confirm failure )
Settings -> Configure Konquerer
Choose Crypto in the list
Choose "OpenSSL" tab.
Enter the default path as /lib64/
Choose test ( confirm failure )
Choose OK.
Visit https://www.redhat.com/ , ( confirm failure )
Close konquerer.

Log out.
Log in.

Settings -> Configure Konquerer
Choose Crypto in the list
Choose "OpenSSL" tab.
Enter the default path as /lib64/
Choose test ( confirm success )
Choose OK.
Visit https://www.redhat.com/ , ( confirm success )
Comment 2 RHEL Product and Program Management 2007-10-19 14:40:58 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.